%define tarname	AppTools
%define name 	python-enthought-apptools
%define version 3.1.0
%define release %mkrel 	2

Summary: 	Enthought Tool Suite - AppTools project
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{tarname}-%{version}.tar.lzma
License: 	BSD
Group: 	 	Development/Python
Url: 	 	http://code.enthought.com/projects/app_tools.php
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: 	noarch
Requires:  	python-enthought-enthoughtbase >= 3.0.1
Requires:  	python-enthought-envisagecore >= 3.0.1
Requires:  	python-enthought-traits >= 3.0.3
Requires:  	python-enthought-traitsgui >= 3.0.3
Requires:  	python-configobj
Requires:  	python-numpy >= 1.1.0
BuildRequires: 	python-setuptools >= 0.6c8
BuildRequires: 	python-sphinx, python-docutils, tetex-latex
%py_requires -d

%description
The Enthought Tool Suite includes a set of packages useful in creating
a number of applications. They implement functionality that is
commonly needed by many applications. These packages are distributed
together as the AppTools project:

* enthought.help - Implements the Adobe RoboHelp API in Python, for
  compiled HTML Help (.chm) and RoboHelp WebHelp formats. Includes an
  Envisage plug-in to provide context-sensitive help for
  applications. Can also be used in Traits-based, non-Envisage
  applications.
* enthought.io - Provides an abstraction for files and folders in a
  file system.
* enthought.logging - Manages event logging.
* enthought.naming - Manages naming contexts, supporting
  non-string data types and scoped preferences.
* enthought.persistence - Supports pickling the state of a Python
  object to a dictionary, which can then be flexibly applied in
  restoring the state of the object.
* enthought.preferences - Manages application preferences.
* enthought.resource - Manages application resources such as images and sounds.
* enthought.sweet_pickle - Handles class-level versioning, to support
  loading of saved data that exist over several generations of
  internal class structures.
* enthought.template - Supports creating templatizable object hierarchies.
* enthought.type_manager - Manages type extensions, including factories to 
  generate adapters, and hooks for methods and functions.
* enthought.undo - Supports undoing and scripting application commands.

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build
%__python setup.py build_docs --formats pdf

%install
%__rm -rf %{buildroot}

%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt examples/ build/docs/latex/*.pdf



%changelog
* Sat Jan 03 2009 Funda Wang <fundawang@mandriva.org> 3.1.0-2mdv2009.1
+ Revision: 323639
- rebuild

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.1.0-1mdv2009.1
+ Revision: 313498
- Update to 3.1.0.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 298877
- import python-enthought-apptools


